function coexp = coexpression_real_add(prods,sums,i)
% coexp = A./norm(A) * B./norm(B) = cos(angulo)
% Mide el coseno del ngulo entre los dos vectores.
    
    sum_co = sums.sum_co + prods.co(:,i);
    norm_a = (sums.norm_a.^2 + prods.a(i)).^(1/2);
    norm_B = (sums.norm_B.^2 + prods.B(:,i)).^(1/2);
    
    coexp = abs(sum_co)./(norm_a*norm_B);
    
    coexp(isnan(coexp)) = 0;

end