function [h,precision,ths,recall] = rocConfPrec(confs,Y,show_plot)
% [h,precision,ths,recall] = rocConfPrec(confs,Y,show_plot);
    
    [recall,precision,ths] = perfcurve(Y,confs,1,'xcrit','reca','ycrit','prec');
    
    if show_plot
        h = figure;
        plot(ths,precision,'LineWidth',2);
        xlim([0 max(1,max(confs))]);
        ylim([0 1]);
        line([0,max(1,max(confs))],[0,1],'Color','r');
        xlabel('Confidence');
        ylabel('Precision');
        grid on
    end
end