function results = evalTermsDiffExp(DiffExp,genes_agis,class1_agis,minDiffExp)

    nterms = numel(class1_agis);
    results.params.minDiffExp = minDiffExp;
    results.p1 = zeros(nterms,1);
    results.p2 = zeros(nterms,1);
    results.mean_numDiff = zeros(nterms,1);
    for i = 1:nterms
        class_data = DiffExp(ismember(genes_agis,class1_agis{i}),:);
        results.p1(i) = numel(find(sum(abs(class_data),2) >= minDiffExp))/size(class_data,1);
        results.p2(i) = sum(abs(class_data(:)))/numel(class_data(:));
        results.mean_numDiff(i) = mean(sum(abs(class_data),2));
    end

end