function C = pdistCorr2(X1,X2,metric)

    nrows1 = size(X1,1);
    nrows2 = size(X2,1);
    
    if exist('metric','var')
        C = pdist([X1; X2],metric);
    else
        C = pdist([X1; X2],'correlation');
    end
    C = 1-squareform(C); 
    C = C(1:nrows1,(nrows1+1):(nrows1+nrows2));

end