function [F_e,score,prec_e,rec_e,score_pos,score_neg] = getScore(coexp,Y,dls_mask,wclass0,dw,w1,precW)

    score_pos = sum(coexp(Y == 1 & dls_mask));
    score_neg = sum(coexp(Y == -1).*wclass0);
    
    prec_e = w1*score_pos/(w1*score_pos + score_neg);
    rec_e = w1*score_pos/(numel(find(Y == 1))-1);
    
    F_e = (1+precW^2)/((1/rec_e) + (precW^2/prec_e));
    
    score = w1*score_pos - dw*score_neg;
    
end