function X_out = minMax(X_in, min_out, max_out)
% X_out = minMax(X_in, min_out, max_out);
%
% normalize the input signal to the interval minRange-maxRange

    [nrows,ncols] = size(X_in);
    
    maxim=max(X_in,[],2);
    minim=min(X_in,[],2);
    deltaX=maxim-minim;
    deltaY=max_out-min_out;
    
    X_out = zeros(nrows,ncols,'double');
    
    for i = 1:nrows
        X_out(i,:)=((deltaY*(X_in(i,:)-minim(i)))./deltaX(i))+ min_out;
    end
end