function Y = sigmoid(X, xmax, xmin, ymax, ymin)

    xcenter = (xmax + xmin)/2;
    xrange = xmax - xmin;
    ycenter = (ymax + ymin)/2;
    yrange = ymax - ymin;
    Y = ycenter + yrange*tanh(6*(X-xcenter)/xrange)/2;
    
end
