function [h,recall,ths,precision] = rocConfRecall(confs,Y,show_plot)
% [h,recall,ths,precision] = rocConfRecall(confs,Y,show_plot);
    
    [recall,precision,ths] = perfcurve(Y,confs,1,'xcrit','reca','ycrit','prec');
    
    if show_plot
        h = figure;
        plot(ths,recall,'LineWidth',2);
        xlim([0 max(1,max(confs))]);
        ylim([0 1]);
        xlabel('Confidence');
        ylabel('Recall');
        grid on
    end
end