function [auc,recall,precision,ths] = rocRP(confs,Y,show_plot)
% [h,auc,recall,precision,ths] = rocRP(confs,Y,show_plot);
    
    [recall,precision,ths,auc] = perfcurve(Y,confs,1,'xcrit','reca','ycrit','prec');
    
    if show_plot
        figure;
        plot(recall,precision,'LineWidth',2);
        xlim([0 1]);
        ylim([0 1]);
        xlabel('Recall');
        ylabel('Precision');
        grid on
    end
end