function id_num = goid2num(goid)
% id_num = goid2num(goid);

    if iscell(goid)
        id_num = zeros(size(goid),'double');
        for i = 1:numel(goid)
            id_num(i) = str2double(goid{i}(4:end));
        end
    elseif ischar(goid)
        id_num = str2double(goid(4:end));
    else
        error('goid must be a string or a cell array of strings');
    end

end