function [symbol_name,full_name] = getGenesNames(agis,GenesAliases,uniq)
% [symbol_name,full_name] = getGenesNames(agis,GenesAliases);

    symbol_name = cell(size(agis));
    full_name = cell(size(agis));
    for i = 1:numel(agis)
        idx = find(strcmp(GenesAliases.agi_locus_name,agis{i}),1,'first');
        if isempty(idx)
            symbol_name(i) = agis(i);
            full_name(i) = agis(i);
        elseif uniq && ismember(GenesAliases.symbol_name{idx},symbol_name(1:i-1))
            symbol_name(i) = agis(i);
            full_name(i) = GenesAliases.full_name(idx);
        else
            symbol_name(i) = GenesAliases.symbol_name(idx);
            full_name(i) = GenesAliases.full_name(idx);
        end
    end

end