function [c90,c95,c99] = percentileCutoff(DataMatrix)
% [c90,c95,c99] = percentileCutoff(DataMatrix);

    for i = 1:10
        idxs = randperm(size(DataMatrix,1));
        corrs = pdistCorr1(DataMatrix(idxs(1:1000),:));
        corrs = corrs(corrs~=1);
        c90(i) = prctile(corrs,90);
        c95(i) = prctile(corrs,95);
        c99(i) = prctile(corrs,99);
    end
    
    c90 = mean(c90);
    c95 = mean(c95);
    c99 = mean(c99);
    
end