function printMakePredsResults(filename,results,i)
% printResults(filename,results,i);

    fid = fopen(filename,'a');
    
    if exist('i','var')
        if i == 1
            fprintf(fid,'GO_ID\tGO_NAME\tLEVEL\tMEAN_NDIFF\tNCLASS1\tNCLASS0\tCONF_TH\tN_NEW_POS\tTR_F\tTR_PRECISION\tTR_RECALL\n');
        end
        fprintf(fid,'%d\t%s\t%d\t%.2f\t%d\t%d\t%.4f\t%d\t%.4f\t%.4f\t%.4f\n', ...
            results.go_terms.id(i),results.go_terms.name{i},results.go_terms.level(i),results.go_terms.mean_numDiff(i), ...
            results.go_terms.nclass1(i),results.go_terms.nclass0(i), results.conf_th(i), results.preds.n_pos_new(i), ...
            results.preds.tr_F(i), results.preds.tr_precision(i), results.preds.tr_recall(i));
    else
        fprintf(fid,'GO_ID\tGO_NAME\tLEVEL\tMEAN_NDIFF\tNCLASS1\tNCLASS0\tCONF_TH\tN_NEW_POS\tTR_F\tTR_PRECISION\tTR_RECALL\n');
        
        for i = 1:numel(results.conf_th)
            fprintf(fid,'%d\t%s\t%d\t%.2f\t%d\t%d\t%.4f\t%d\t%.4f\t%.4f\t%.4f\n', ...
            results.go_terms.id(i),results.go_terms.name{i},results.go_terms.level(i),results.go_terms.mean_numDiff(i), ...
            results.go_terms.nclass1(i),results.go_terms.nclass0(i), results.conf_th(i), results.preds.n_pos_new(i), ...
            results.preds.tr_F(i), results.preds.tr_precision(i), results.preds.tr_recall(i));
        end
    end
    
    fclose(fid);

end